[26426] in Source-Commits

home help back first fref pref prev next nref lref last post

/svn/athena r25562 - trunk/debathena/scripts

daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Tue Jun 5 10:33:08 2012

Date: Tue, 5 Jun 2012 10:33:07 -0400
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201206051433.q55EX7td007777@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Author: jdreed
Date: 2012-06-05 10:33:06 -0400 (Tue, 05 Jun 2012)
New Revision: 25562

Modified:
   trunk/debathena/scripts/dacopy
   trunk/debathena/scripts/daupload-proposed
Log:
Support -bleeding repository

Modified: trunk/debathena/scripts/dacopy
===================================================================
--- trunk/debathena/scripts/dacopy	2012-06-04 16:15:42 UTC (rev 25561)
+++ trunk/debathena/scripts/dacopy	2012-06-05 14:33:06 UTC (rev 25562)
@@ -15,6 +15,13 @@
     exit 1
 fi
 
+if [ "$1" = "-bleeding" ] || [ "$2" = "-bleeding" ]; then
+    echo "You're not supposed to move or copy things to or from -bleeding."
+    echo "Exiting..."
+    exit 1
+fi
+
+
 case "${1}/${2}" in
   /-proposed) ;;
   /-development) ;;

Modified: trunk/debathena/scripts/daupload-proposed
===================================================================
--- trunk/debathena/scripts/daupload-proposed	2012-06-04 16:15:42 UTC (rev 25561)
+++ trunk/debathena/scripts/daupload-proposed	2012-06-05 14:33:06 UTC (rev 25562)
@@ -29,6 +29,9 @@
     daupload-dev)
         release="-development"
         ;;
+    daupload-bleeding)
+	release="-bleeding"
+	;;
     *)
 	echo "Unknown release." >&2
 	exit 1


home help back first fref pref prev next nref lref last post